#include "..\MaterialDefine.def"

[Technique]
{
;  Detail        = DETAIL_HIGH

; a textura, vertex color, vertex alpha muveletek!
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE
      ColorArg2	= TA_DIFFUSE
      ColorOp   = TOP_MODULATE
 
      AlphaOp	= TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_POINT
    }
    [Layer]
    {
      TextureSource	= TEXT_AMBIENT
      TexCoordIndex	= 1

      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_TEXTURE
      ColorOp	= TOP_MODULATE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_POINT
    }
    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = FALSE

    AlphaTestEnable	= FALSE

    AlphaBlendEnable    = FALSE

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS
  }
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTUREALPHA
      ColorArg2	= TA_SPECULAR
      ColorOp   = TOP_MODULATE
 
      AlphaOp	= TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_POINT
    }
    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = TRUE

    AlphaTestEnable	= FALSE

    AlphaBlendEnable    = TRUE
    SrcBlend		= BLEND_ONE
    DestBlend		= BLEND_ONE

    ZWriteEnable        = FALSE
    ZFunc               = CMP_LESSEQUAL
  }
}
